/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import it.businesslogic.ireport.IReportConnection;
/*     */ import it.businesslogic.ireport.connection.JRXMLADataSourceConnection;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.Vector;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JPasswordField;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class XMLAConnectionDialog extends JDialog
/*     */ {
/*  44 */   private int dialogResult = 2;
/*     */   
/*  46 */   private JServer server = null;
/*  47 */   private String parentFolder = null;
/*  48 */   private RepositoryFolder datasourceResource = null;
/*     */   
/*  50 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   
/*  52 */   private boolean doNotStore = false;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonImportConnection;
/*     */   private JButton jButtonSave;
/*     */   
/*  58 */   public XMLAConnectionDialog(Frame parent, boolean modal) { super(parent, modal);
/*  59 */     initComponents();
/*     */     
/*  61 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*  62 */     DocumentListener changesListener = new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  64 */         XMLAConnectionDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  67 */       public void insertUpdate(DocumentEvent evt) { XMLAConnectionDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  70 */         XMLAConnectionDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  73 */     };
/*  74 */     this.jTextFieldLabel.getDocument().addDocumentListener(changesListener);
/*  75 */     this.jTextFieldName.getDocument().addDocumentListener(changesListener);
/*  76 */     this.jTextFieldURL.getDocument().addDocumentListener(changesListener);
/*  77 */     this.jTextFieldCatalog.getDocument().addDocumentListener(changesListener);
/*  78 */     this.jTextFieldDatasource.getDocument().addDocumentListener(changesListener);
/*     */     
/*  80 */     applyI18n();
/*     */     
/*  82 */     this.jTextFieldName.requestFocusInWindow();
/*     */     
/*  84 */     MainFrame.getMainInstance();this.jButtonImportConnection.setEnabled(MainFrame.constTitle.compareTo("iReport 1.3.0 ") <= 0); }
/*     */   
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabelCatalog;
/*     */   private JLabel jLabelDatasource;
/*  90 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("xmlaConnectionDialog.buttonCancel", "Cancel"));
/*  91 */     this.jButtonImportConnection.setText(IRPlugin.getString("xmlaConnectionDialog.buttonImportConnection", "Import from iReport"));
/*  92 */     this.jButtonSave.setText(IRPlugin.getString("xmlaConnectionDialog.buttonSave", "Save"));
/*  93 */     this.jLabel1.setText(IRPlugin.getString("xmlaConnectionDialog.title", "Data Source"));
/*  94 */     this.jLabelDescription.setText(IRPlugin.getString("xmlaConnectionDialog.labelDescription", "Description"));
/*  95 */     this.jLabelLabel.setText(IRPlugin.getString("xmlaConnectionDialog.labelLabel", "Label"));
/*  96 */     this.jLabelName.setText(IRPlugin.getString("xmlaConnectionDialog.labelName", "Name"));
/*     */     
/*  98 */     this.jLabelUriString.setText(IRPlugin.getString("xmlaConnectionDialog.labelParentFolder", "Parent folder"));
/*     */     
/* 100 */     this.jLabelPassword.setText(IRPlugin.getString("xmlaConnectionDialog.labelPassword", "Password"));
/* 101 */     this.jLabelURL.setText(IRPlugin.getString("xmlaConnectionDialog.labelURI", "URI"));
/* 102 */     this.jLabelCatalog.setText(IRPlugin.getString("xmlaConnectionDialog.labelCatalog", "Catalog"));
/* 103 */     this.jLabelDatasource.setText(IRPlugin.getString("xmlaConnectionDialog.labelDatasource", "Data Source"));
/* 104 */     this.jLabelUsername.setText(IRPlugin.getString("xmlaConnectionDialog.labelUsername", "Username"));
/* 105 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("xmlaConnectionDialog.tabGeneral", "General"));
/* 106 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("xmlaConnectionDialog.tabDetails", "XMLA/A connection details"));
/*     */   }
/*     */   
/*     */   private void updateSaveButton()
/*     */   {
/* 111 */     if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0))
/*     */     {
/*     */ 
/* 114 */       boolean ok = false;
/* 115 */       if ((this.jTextFieldURL.getText().length() > 0) && (this.jTextFieldCatalog.getText().length() > 0) && (this.jTextFieldDatasource.getText().length() > 0))
/*     */       {
/*     */ 
/*     */ 
/* 119 */         ok = true;
/*     */       }
/*     */       
/* 122 */       this.jButtonSave.setEnabled(ok);
/*     */     }
/*     */     else
/*     */     {
/* 126 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelPassword;
/*     */   private JLabel jLabelURL;
/*     */   private JLabel jLabelUriString;
/*     */   private JLabel jLabelUsername;
/*     */   private JPanel jPanel1;
/*     */   private void initComponents() {
/* 139 */     this.buttonGroup1 = new ButtonGroup();
/* 140 */     this.jPanel1 = new JPanel();
/* 141 */     this.jLabel1 = new JLabel();
/* 142 */     this.jSeparator1 = new JSeparator();
/* 143 */     this.jTabbedPane1 = new JTabbedPane();
/* 144 */     this.jPanel2 = new JPanel();
/* 145 */     this.jLabelUriString = new JLabel();
/* 146 */     this.jTextFieldUriString = new JTextField();
/* 147 */     this.jLabelName = new JLabel();
/* 148 */     this.jTextFieldName = new JTextField();
/* 149 */     this.jSeparator2 = new JSeparator();
/* 150 */     this.jLabelLabel = new JLabel();
/* 151 */     this.jTextFieldLabel = new JTextField();
/* 152 */     this.jScrollPane1 = new JScrollPane();
/* 153 */     this.jEditorPaneDescription = new JEditorPane();
/* 154 */     this.jLabelDescription = new JLabel();
/* 155 */     this.jPanel3 = new JPanel();
/* 156 */     this.jLabelURL = new JLabel();
/* 157 */     this.jTextFieldURL = new JTextField();
/* 158 */     this.jLabelCatalog = new JLabel();
/* 159 */     this.jTextFieldCatalog = new JTextField();
/* 160 */     this.jLabelDatasource = new JLabel();
/* 161 */     this.jTextFieldDatasource = new JTextField();
/* 162 */     this.jLabelUsername = new JLabel();
/* 163 */     this.jTextFieldUsername = new JTextField();
/* 164 */     this.jLabelPassword = new JLabel();
/* 165 */     this.jPasswordField = new JPasswordField();
/* 166 */     this.jButtonImportConnection = new JButton();
/* 167 */     this.jPanel5 = new JPanel();
/* 168 */     this.jPanel4 = new JPanel();
/* 169 */     this.jButtonSave = new JButton();
/* 170 */     this.jButtonClose = new JButton();
/*     */     
/* 172 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 174 */     setDefaultCloseOperation(2);
/* 175 */     setTitle("DataSource");
/* 176 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 178 */     this.jPanel1.setBackground(new java.awt.Color(255, 255, 255));
/* 179 */     this.jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
/* 180 */     this.jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_new.png")));
/* 181 */     this.jLabel1.setText("XML/A Connection");
/* 182 */     this.jLabel1.setVerticalAlignment(3);
/* 183 */     this.jLabel1.setVerticalTextPosition(3);
/* 184 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 185 */     gridBagConstraints.fill = 1;
/* 186 */     gridBagConstraints.weightx = 1.0D;
/* 187 */     gridBagConstraints.weighty = 1.0D;
/* 188 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 190 */     gridBagConstraints = new GridBagConstraints();
/* 191 */     gridBagConstraints.fill = 2;
/* 192 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 194 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 195 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 196 */     gridBagConstraints = new GridBagConstraints();
/* 197 */     gridBagConstraints.gridx = 0;
/* 198 */     gridBagConstraints.fill = 2;
/* 199 */     gridBagConstraints.weightx = 1.0D;
/* 200 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 202 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 204 */     this.jLabelUriString.setText("Parent folder");
/* 205 */     gridBagConstraints = new GridBagConstraints();
/* 206 */     gridBagConstraints.gridx = 0;
/* 207 */     gridBagConstraints.fill = 2;
/* 208 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 209 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 211 */     this.jTextFieldUriString.setEditable(false);
/* 212 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 213 */     this.jTextFieldUriString.setOpaque(false);
/* 214 */     gridBagConstraints = new GridBagConstraints();
/* 215 */     gridBagConstraints.gridx = 1;
/* 216 */     gridBagConstraints.fill = 2;
/* 217 */     gridBagConstraints.weightx = 1.0D;
/* 218 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 219 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 221 */     this.jLabelName.setText("Name");
/* 222 */     gridBagConstraints = new GridBagConstraints();
/* 223 */     gridBagConstraints.gridx = 0;
/* 224 */     gridBagConstraints.fill = 2;
/* 225 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 226 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 228 */     gridBagConstraints = new GridBagConstraints();
/* 229 */     gridBagConstraints.gridx = 1;
/* 230 */     gridBagConstraints.fill = 2;
/* 231 */     gridBagConstraints.weightx = 1.0D;
/* 232 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 233 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 235 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 236 */     gridBagConstraints = new GridBagConstraints();
/* 237 */     gridBagConstraints.gridx = 0;
/* 238 */     gridBagConstraints.gridwidth = 2;
/* 239 */     gridBagConstraints.fill = 2;
/* 240 */     gridBagConstraints.weightx = 1.0D;
/* 241 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 242 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 244 */     this.jLabelLabel.setText("Label");
/* 245 */     gridBagConstraints = new GridBagConstraints();
/* 246 */     gridBagConstraints.gridx = 0;
/* 247 */     gridBagConstraints.fill = 2;
/* 248 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 249 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 251 */     gridBagConstraints = new GridBagConstraints();
/* 252 */     gridBagConstraints.gridx = 1;
/* 253 */     gridBagConstraints.fill = 2;
/* 254 */     gridBagConstraints.weightx = 1.0D;
/* 255 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 256 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 258 */     this.jScrollPane1.setMinimumSize(new Dimension(368, 219));
/* 259 */     this.jScrollPane1.setPreferredSize(new Dimension(368, 219));
/* 260 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 262 */     gridBagConstraints = new GridBagConstraints();
/* 263 */     gridBagConstraints.gridx = 1;
/* 264 */     gridBagConstraints.fill = 1;
/* 265 */     gridBagConstraints.weightx = 1.0D;
/* 266 */     gridBagConstraints.weighty = 1.0D;
/* 267 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 268 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 270 */     this.jLabelDescription.setText("Description");
/* 271 */     gridBagConstraints = new GridBagConstraints();
/* 272 */     gridBagConstraints.gridx = 0;
/* 273 */     gridBagConstraints.fill = 2;
/* 274 */     gridBagConstraints.anchor = 11;
/* 275 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 276 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 278 */     this.jTabbedPane1.addTab("General", this.jPanel2);
/*     */     
/* 280 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 282 */     this.jLabelURL.setText("URL");
/* 283 */     gridBagConstraints = new GridBagConstraints();
/* 284 */     gridBagConstraints.gridx = 0;
/* 285 */     gridBagConstraints.fill = 2;
/* 286 */     gridBagConstraints.insets = new Insets(8, 30, 4, 0);
/* 287 */     this.jPanel3.add(this.jLabelURL, gridBagConstraints);
/*     */     
/* 289 */     gridBagConstraints = new GridBagConstraints();
/* 290 */     gridBagConstraints.gridx = 1;
/* 291 */     gridBagConstraints.fill = 2;
/* 292 */     gridBagConstraints.weightx = 1.0D;
/* 293 */     gridBagConstraints.insets = new Insets(8, 4, 4, 8);
/* 294 */     this.jPanel3.add(this.jTextFieldURL, gridBagConstraints);
/*     */     
/* 296 */     this.jLabelCatalog.setText("Catalog");
/* 297 */     gridBagConstraints = new GridBagConstraints();
/* 298 */     gridBagConstraints.gridx = 0;
/* 299 */     gridBagConstraints.fill = 2;
/* 300 */     gridBagConstraints.insets = new Insets(8, 30, 4, 0);
/* 301 */     this.jPanel3.add(this.jLabelCatalog, gridBagConstraints);
/*     */     
/* 303 */     gridBagConstraints = new GridBagConstraints();
/* 304 */     gridBagConstraints.gridx = 1;
/* 305 */     gridBagConstraints.fill = 2;
/* 306 */     gridBagConstraints.weightx = 1.0D;
/* 307 */     gridBagConstraints.insets = new Insets(8, 4, 4, 8);
/* 308 */     this.jPanel3.add(this.jTextFieldCatalog, gridBagConstraints);
/*     */     
/* 310 */     this.jLabelDatasource.setText("Datasource");
/* 311 */     gridBagConstraints = new GridBagConstraints();
/* 312 */     gridBagConstraints.gridx = 0;
/* 313 */     gridBagConstraints.fill = 2;
/* 314 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 315 */     this.jPanel3.add(this.jLabelDatasource, gridBagConstraints);
/*     */     
/* 317 */     gridBagConstraints = new GridBagConstraints();
/* 318 */     gridBagConstraints.gridx = 1;
/* 319 */     gridBagConstraints.fill = 2;
/* 320 */     gridBagConstraints.weightx = 1.0D;
/* 321 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 322 */     this.jPanel3.add(this.jTextFieldDatasource, gridBagConstraints);
/*     */     
/* 324 */     this.jLabelUsername.setText("Username");
/* 325 */     gridBagConstraints = new GridBagConstraints();
/* 326 */     gridBagConstraints.gridx = 0;
/* 327 */     gridBagConstraints.fill = 2;
/* 328 */     gridBagConstraints.insets = new Insets(8, 30, 4, 0);
/* 329 */     this.jPanel3.add(this.jLabelUsername, gridBagConstraints);
/*     */     
/* 331 */     gridBagConstraints = new GridBagConstraints();
/* 332 */     gridBagConstraints.gridx = 1;
/* 333 */     gridBagConstraints.fill = 2;
/* 334 */     gridBagConstraints.weightx = 1.0D;
/* 335 */     gridBagConstraints.insets = new Insets(8, 4, 4, 8);
/* 336 */     this.jPanel3.add(this.jTextFieldUsername, gridBagConstraints);
/*     */     
/* 338 */     this.jLabelPassword.setText("Password");
/* 339 */     gridBagConstraints = new GridBagConstraints();
/* 340 */     gridBagConstraints.gridx = 0;
/* 341 */     gridBagConstraints.fill = 2;
/* 342 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 343 */     this.jPanel3.add(this.jLabelPassword, gridBagConstraints);
/*     */     
/* 345 */     this.jPasswordField.setMinimumSize(new Dimension(11, 19));
/* 346 */     this.jPasswordField.setPreferredSize(new Dimension(11, 19));
/* 347 */     gridBagConstraints = new GridBagConstraints();
/* 348 */     gridBagConstraints.gridx = 1;
/* 349 */     gridBagConstraints.fill = 2;
/* 350 */     gridBagConstraints.weightx = 1.0D;
/* 351 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 352 */     this.jPanel3.add(this.jPasswordField, gridBagConstraints);
/*     */     
/* 354 */     this.jButtonImportConnection.setText("Import from iReport");
/* 355 */     this.jButtonImportConnection.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 357 */         XMLAConnectionDialog.this.jButtonImportConnectionActionPerformed(evt);
/*     */       }
/*     */       
/* 360 */     });
/* 361 */     gridBagConstraints = new GridBagConstraints();
/* 362 */     gridBagConstraints.gridx = 1;
/* 363 */     gridBagConstraints.anchor = 12;
/* 364 */     gridBagConstraints.weighty = 1.0D;
/* 365 */     gridBagConstraints.insets = new Insets(4, 4, 0, 8);
/* 366 */     this.jPanel3.add(this.jButtonImportConnection, gridBagConstraints);
/*     */     
/* 368 */     gridBagConstraints = new GridBagConstraints();
/* 369 */     gridBagConstraints.gridx = 0;
/* 370 */     gridBagConstraints.weighty = 1.0D;
/* 371 */     this.jPanel3.add(this.jPanel5, gridBagConstraints);
/*     */     
/* 373 */     this.jTabbedPane1.addTab("Connection details", this.jPanel3);
/*     */     
/* 375 */     gridBagConstraints = new GridBagConstraints();
/* 376 */     gridBagConstraints.gridx = 0;
/* 377 */     gridBagConstraints.fill = 1;
/* 378 */     gridBagConstraints.weightx = 1.0D;
/* 379 */     gridBagConstraints.weighty = 1.0D;
/* 380 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 382 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 384 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 385 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 386 */     this.jButtonSave.setText("Save");
/* 387 */     this.jButtonSave.setEnabled(false);
/* 388 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 390 */         XMLAConnectionDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 393 */     });
/* 394 */     gridBagConstraints = new GridBagConstraints();
/* 395 */     gridBagConstraints.anchor = 13;
/* 396 */     gridBagConstraints.weightx = 1.0D;
/* 397 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 398 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 400 */     this.jButtonClose.setText("Cancel");
/* 401 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 403 */         XMLAConnectionDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 406 */     });
/* 407 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 409 */     gridBagConstraints = new GridBagConstraints();
/* 410 */     gridBagConstraints.gridx = 0;
/* 411 */     gridBagConstraints.fill = 2;
/* 412 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 413 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 415 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonImportConnectionActionPerformed(ActionEvent evt)
/*     */   {
/* 420 */     Vector iReportConnections = MainFrame.getMainInstance().getConnections();
/*     */     
/*     */ 
/*     */ 
/* 424 */     Vector validConnections = new Vector();
/* 425 */     for (int i = 0; i < iReportConnections.size(); i++)
/*     */     {
/* 427 */       IReportConnection conn = (IReportConnection)iReportConnections.elementAt(i);
/* 428 */       if ((conn instanceof JRXMLADataSourceConnection))
/*     */       {
/* 430 */         validConnections.add(conn);
/*     */       }
/*     */     }
/* 433 */     if (validConnections.size() == 0)
/*     */     {
/* 435 */       JOptionPane.showMessageDialog(this, IRPlugin.getString("xmlaConnectionDialog.message.noXMLAconfigured", "No XML/A datasources currently configured in iReport."));
/*     */       
/*     */ 
/* 438 */       return;
/*     */     }
/* 440 */     JRXMLADataSourceConnection[] connections = new JRXMLADataSourceConnection[validConnections.size()];
/* 441 */     for (int i = 0; i < connections.length; i++)
/*     */     {
/* 443 */       connections[i] = ((JRXMLADataSourceConnection)(JRXMLADataSourceConnection)validConnections.elementAt(i));
/*     */     }
/*     */     
/* 446 */     JRXMLADataSourceConnection selectedCon = (JRXMLADataSourceConnection)JOptionPane.showInputDialog(this, IRPlugin.getString("xmlaConnectionDialog.message.selectXMLA", "Select a XML/A datasource:"), IRPlugin.getString("xmlaConnectionDialog.message.import", "Import..."), 0, null, connections, connections[0]);
/*     */     
/*     */ 
/*     */ 
/* 450 */     if (selectedCon != null)
/*     */     {
/* 452 */       this.jTextFieldCatalog.setText(selectedCon.getCatalog());
/* 453 */       this.jTextFieldDatasource.setText(selectedCon.getDatasource());
/* 454 */       this.jTextFieldURL.setText(selectedCon.getUrl());
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 463 */     setVisible(false);
/* 464 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 470 */     ResourceDescriptor rd = new ResourceDescriptor();
/*     */     
/* 472 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 473 */     rd.setName(this.jTextFieldName.getText());
/* 474 */     String uri = getParentFolder();
/* 475 */     if (!uri.endsWith("/")) uri = uri + "/";
/* 476 */     uri = uri + this.jTextFieldName.getText();
/* 477 */     rd.setUriString(uri);
/* 478 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 479 */     rd.setParentFolder(getParentFolder());
/* 480 */     rd.setIsNew(this.datasourceResource == null);
/*     */     
/*     */ 
/* 483 */     rd.setWsType("olapXmlaCon");
/*     */     
/* 485 */     rd.setResourceProperty("PROP_XMLA_URI", this.jTextFieldURL.getText());
/* 486 */     rd.setResourceProperty("PROP_XMLA_CATALOG", this.jTextFieldCatalog.getText());
/* 487 */     rd.setResourceProperty("PROP_XMLA_DATASOURCE", this.jTextFieldDatasource.getText());
/* 488 */     rd.setResourceProperty("PROP_XMLA_USERNAME", this.jTextFieldUsername.getText());
/* 489 */     rd.setResourceProperty("PROP_XMLA_PASSWORD", new String(this.jPasswordField.getPassword()));
/*     */     
/*     */     try
/*     */     {
/* 493 */       validate(rd);
/*     */       
/* 495 */       if (!this.doNotStore)
/*     */       {
/* 497 */         this.newResourceDescriptor = getServer().getWSClient().addOrModifyResource(rd, null);
/*     */       } else {
/* 499 */         this.newResourceDescriptor = rd;
/*     */       }
/* 501 */       setDialogResult(0);
/*     */       
/* 503 */       if (this.datasourceResource != null)
/*     */       {
/* 505 */         this.datasourceResource.setDescriptor(this.newResourceDescriptor);
/*     */       }
/*     */       
/* 508 */       setVisible(false);
/* 509 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 512 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 513 */       ex.printStackTrace();
/* 514 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   public int getDialogResult()
/*     */   {
/* 520 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 524 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getServer()
/*     */   {
/* 529 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 533 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 537 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder) {
/* 541 */     this.parentFolder = parentFolder;
/* 542 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 546 */     return this.newResourceDescriptor;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(RepositoryFolder resource)
/*     */   {
/* 554 */     this.datasourceResource = resource;
/* 555 */     if (resource != null)
/*     */     {
/* 557 */       setResource(resource.getDescriptor());
/* 558 */       this.jTextFieldName.setEditable(false);
/* 559 */       this.jTextFieldName.setOpaque(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(ResourceDescriptor descriptor)
/*     */   {
/* 568 */     if (descriptor == null) { return;
/*     */     }
/* 570 */     this.jTextFieldName.setText(descriptor.getName());
/* 571 */     this.jTextFieldLabel.setText(descriptor.getLabel());
/* 572 */     this.jEditorPaneDescription.setText(descriptor.getDescription());
/*     */     
/* 574 */     if (descriptor.getWsType().equals("olapXmlaCon"))
/*     */     {
/* 576 */       this.jTextFieldCatalog.setText(descriptor.getResourcePropertyValue("PROP_XMLA_CATALOG"));
/* 577 */       this.jTextFieldDatasource.setText(descriptor.getResourcePropertyValue("PROP_XMLA_DATASOURCE"));
/* 578 */       this.jTextFieldURL.setText(descriptor.getResourcePropertyValue("PROP_XMLA_URI"));
/* 579 */       this.jTextFieldUsername.setText(descriptor.getResourcePropertyValue("PROP_XMLA_USERNAME"));
/* 580 */       this.jPasswordField.setText(descriptor.getResourcePropertyValue("PROP_XMLA_PASSWORD"));
/*     */     }
/*     */     
/* 583 */     this.jButtonSave.setText("Save");
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanel2;
/*     */   
/*     */ 
/*     */   private JPanel jPanel3;
/*     */   
/*     */ 
/*     */   private JPanel jPanel4;
/*     */   
/*     */   private JPanel jPanel5;
/*     */   
/*     */   private JPasswordField jPasswordField;
/*     */   
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   private JSeparator jSeparator2;
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   
/*     */   private JTextField jTextFieldCatalog;
/*     */   
/*     */   private JTextField jTextFieldDatasource;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldURL;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   private JTextField jTextFieldUsername;
/*     */   
/*     */   public boolean isDoNotStore()
/*     */   {
/* 624 */     return this.doNotStore;
/*     */   }
/*     */   
/*     */   public void setDoNotStore(boolean doNotStore) {
/* 628 */     this.doNotStore = doNotStore;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void validate(ResourceDescriptor dataType)
/*     */     throws Exception
/*     */   {
/* 637 */     ValidationUtils.validateName(dataType.getName());
/* 638 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 639 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\XMLAConnectionDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */