/*     */ package com.jaspersoft.jasperserver.irplugin;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.RepositoryExplorer;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import it.businesslogic.ireport.util.I18n;
/*     */ import it.businesslogic.ireport.util.Misc;
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.text.Format;
/*     */ import java.text.MessageFormat;
/*     */ import java.util.EventObject;
/*     */ import java.util.Properties;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.SwingUtilities;
/*     */ import javax.swing.border.LineBorder;
/*     */ import org.flexdock.docking.DockingManager;
/*     */ import org.flexdock.view.Titlebar;
/*     */ import org.flexdock.view.View;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DockingUtil
/*     */ {
/*  45 */   public static View view = null;
/*     */   
/*     */   public static void installUI(RepositoryExplorer explorer)
/*     */   {
/*  49 */     if (view == null)
/*     */     {
/*     */ 
/*  52 */       String title = "JasperServer";
/*  53 */       title = IRPlugin.getMainInstance().getBrandingProperties().getProperty("irplugin.title");
/*  54 */       String version = IRPlugin.getMainInstance().getBrandingProperties().getProperty("irplugin.version");
/*     */       
/*  56 */       MessageFormat mf = new MessageFormat(title, I18n.getCurrentLocale());
/*  57 */       title = mf.format(new Object[] { version });
/*     */       
/*  59 */       view = createView("JasperServer", title, true, true, explorer);
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  66 */     boolean visible = false;
/*  67 */     if (!MainFrame.getMainInstance().getDesktopView().dock(view, "WEST", 0.3F))
/*     */     {
/*  69 */       visible = Misc.dockAt(view, "WEST", 0);
/*     */     }
/*     */     else
/*     */     {
/*  73 */       visible = true;
/*  74 */       DockingManager.setSplitProportion(view.getComponent(), 0.3F);
/*     */     }
/*     */     
/*  77 */     IRPlugin.getMainInstance().setViewVisible(visible);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static View createView(String id, String text, boolean closable, boolean pin, Component c)
/*     */   {
/*  86 */     View view = new View(id, text);
/*     */     
/*  88 */     if (closable)
/*     */     {
/*  90 */       view.getTitlebar().addAction("close");
/*  91 */       if (view.getTitlebar().getActionButton("close") != null)
/*     */       {
/*  93 */         view.getTitlebar().getActionButton("close").addActionListener(new ActionListener()
/*     */         {
/*     */ 
/*     */           public void actionPerformed(ActionEvent e)
/*     */           {
/*  98 */             View viewx = (View)SwingUtilities.getAncestorOfClass(View.class, (Component)e.getSource());
/*  99 */             IRPlugin.getMainInstance().setViewVisible(false);
/*     */           }
/*     */         });
/*     */       }
/*     */     }
/*     */     
/* 105 */     if (pin) { view.addAction("pin");
/*     */     }
/*     */     
/*     */ 
/* 109 */     JPanel p = new JPanel();
/*     */     
/* 111 */     p.setLayout(new BorderLayout());
/* 112 */     p.setBorder(new LineBorder(Color.GRAY, 1));
/*     */     
/*     */ 
/* 115 */     p.add(c, "Center");
/*     */     
/* 117 */     view.setContentPane(p);
/* 118 */     return view;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\DockingUtil.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */