/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.common;
/*     */ 
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement
/*     */ public class ServerInfo
/*     */ {
/*     */   private String dateFormatPattern;
/*     */   private String datetimeFormatPattern;
/*     */   private String version;
/*     */   private ServerEdition edition;
/*     */   private String editionName;
/*     */   private String licenseType;
/*     */   private String build;
/*     */   private String expiration;
/*     */   private String features;
/*     */   
/*     */   public String getDateFormatPattern()
/*     */   {
/*  52 */     return this.dateFormatPattern;
/*     */   }
/*     */   
/*     */   public ServerInfo setDateFormatPattern(String dateFormatPattern) {
/*  56 */     this.dateFormatPattern = dateFormatPattern;
/*  57 */     return this;
/*     */   }
/*     */   
/*     */   public String getDatetimeFormatPattern() {
/*  61 */     return this.datetimeFormatPattern;
/*     */   }
/*     */   
/*     */   public ServerInfo setDatetimeFormatPattern(String datetimeFormatPattern) {
/*  65 */     this.datetimeFormatPattern = datetimeFormatPattern;
/*  66 */     return this;
/*     */   }
/*     */   
/*     */   public String getVersion() {
/*  70 */     return this.version;
/*     */   }
/*     */   
/*     */   public ServerInfo setVersion(String version) {
/*  74 */     this.version = version;
/*  75 */     return this;
/*     */   }
/*     */   
/*     */   public ServerInfo setEdition(ServerEdition edition) {
/*  79 */     this.edition = edition;
/*  80 */     return this;
/*     */   }
/*     */   
/*     */   public ServerEdition getEdition() {
/*  84 */     return this.edition;
/*     */   }
/*     */   
/*     */   public String getEditionName() {
/*  88 */     return this.editionName;
/*     */   }
/*     */   
/*     */   public ServerInfo setEditionName(String editionName) {
/*  92 */     this.editionName = editionName;
/*  93 */     return this;
/*     */   }
/*     */   
/*     */   public String getLicenseType() {
/*  97 */     return this.licenseType;
/*     */   }
/*     */   
/*     */   public ServerInfo setLicenseType(String licenseType) {
/* 101 */     this.licenseType = licenseType;
/* 102 */     return this;
/*     */   }
/*     */   
/*     */   public String getBuild() {
/* 106 */     return this.build;
/*     */   }
/*     */   
/*     */   public ServerInfo setBuild(String build) {
/* 110 */     this.build = build;
/* 111 */     return this;
/*     */   }
/*     */   
/*     */   public String getExpiration() {
/* 115 */     return this.expiration;
/*     */   }
/*     */   
/*     */   public ServerInfo setExpiration(String expiration) {
/* 119 */     this.expiration = expiration;
/* 120 */     return this;
/*     */   }
/*     */   
/*     */   public String getFeatures() {
/* 124 */     return this.features;
/*     */   }
/*     */   
/*     */   public ServerInfo setFeatures(String features) {
/* 128 */     this.features = features;
/* 129 */     return this;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 134 */     if (this == o) return true;
/* 135 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 137 */     ServerInfo that = (ServerInfo)o;
/*     */     
/* 139 */     if (this.build != null ? !this.build.equals(that.build) : that.build != null) return false;
/* 140 */     if (this.dateFormatPattern != null ? !this.dateFormatPattern.equals(that.dateFormatPattern) : that.dateFormatPattern != null)
/* 141 */       return false;
/* 142 */     if (this.datetimeFormatPattern != null ? !this.datetimeFormatPattern.equals(that.datetimeFormatPattern) : that.datetimeFormatPattern != null)
/* 143 */       return false;
/* 144 */     if (this.edition != that.edition) return false;
/* 145 */     if (this.editionName != null ? !this.editionName.equals(that.editionName) : that.editionName != null) return false;
/* 146 */     if (this.expiration != null ? !this.expiration.equals(that.expiration) : that.expiration != null) return false;
/* 147 */     if (this.features != null ? !this.features.equals(that.features) : that.features != null) return false;
/* 148 */     if (this.licenseType != null ? !this.licenseType.equals(that.licenseType) : that.licenseType != null) return false;
/* 149 */     if (this.version != null ? !this.version.equals(that.version) : that.version != null) { return false;
/*     */     }
/* 151 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 156 */     int result = this.dateFormatPattern != null ? this.dateFormatPattern.hashCode() : 0;
/* 157 */     result = 31 * result + (this.datetimeFormatPattern != null ? this.datetimeFormatPattern.hashCode() : 0);
/* 158 */     result = 31 * result + (this.version != null ? this.version.hashCode() : 0);
/* 159 */     result = 31 * result + (this.edition != null ? this.edition.hashCode() : 0);
/* 160 */     result = 31 * result + (this.editionName != null ? this.editionName.hashCode() : 0);
/* 161 */     result = 31 * result + (this.licenseType != null ? this.licenseType.hashCode() : 0);
/* 162 */     result = 31 * result + (this.build != null ? this.build.hashCode() : 0);
/* 163 */     result = 31 * result + (this.expiration != null ? this.expiration.hashCode() : 0);
/* 164 */     result = 31 * result + (this.features != null ? this.features.hashCode() : 0);
/* 165 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 170 */     return "ServerInfo{dateFormatPattern='" + this.dateFormatPattern + '\'' + ", datetimeFormatPattern='" + this.datetimeFormatPattern + '\'' + ", version='" + this.version + '\'' + ", edition=" + this.edition + ", editionName='" + this.editionName + '\'' + ", licenseType='" + this.licenseType + '\'' + ", build='" + this.build + '\'' + ", expiration='" + this.expiration + '\'' + ", features='" + this.features + '\'' + '}';
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static enum ServerEdition
/*     */   {
/* 184 */     CE, 
/* 185 */     PRO;
/*     */     
/*     */     private ServerEdition() {}
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\common\ServerInfo.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */