/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.description.ElementDesc;
/*     */ import org.apache.axis.description.TypeDesc;
/*     */ import org.apache.axis.encoding.Deserializer;
/*     */ import org.apache.axis.encoding.Serializer;
/*     */ import org.apache.axis.encoding.ser.BeanDeserializer;
/*     */ import org.apache.axis.encoding.ser.BeanSerializer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Job_Helper
/*     */ {
/*  32 */   private static TypeDesc typeDesc = new TypeDesc(Job.class, true);
/*     */   
/*     */   static
/*     */   {
/*  36 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "Job"));
/*  37 */     ElementDesc elemField = new ElementDesc();
/*  38 */     elemField.setFieldName("id");
/*  39 */     elemField.setXmlName(new QName("", "id"));
/*  40 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "long"));
/*  41 */     elemField.setNillable(false);
/*  42 */     typeDesc.addFieldDesc(elemField);
/*  43 */     elemField = new ElementDesc();
/*  44 */     elemField.setFieldName("version");
/*  45 */     elemField.setXmlName(new QName("", "version"));
/*  46 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "int"));
/*  47 */     elemField.setNillable(false);
/*  48 */     typeDesc.addFieldDesc(elemField);
/*  49 */     elemField = new ElementDesc();
/*  50 */     elemField.setFieldName("reportUnitURI");
/*  51 */     elemField.setXmlName(new QName("", "reportUnitURI"));
/*  52 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  53 */     elemField.setNillable(true);
/*  54 */     typeDesc.addFieldDesc(elemField);
/*  55 */     elemField = new ElementDesc();
/*  56 */     elemField.setFieldName("username");
/*  57 */     elemField.setXmlName(new QName("", "username"));
/*  58 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  59 */     elemField.setNillable(true);
/*  60 */     typeDesc.addFieldDesc(elemField);
/*  61 */     elemField = new ElementDesc();
/*  62 */     elemField.setFieldName("label");
/*  63 */     elemField.setXmlName(new QName("", "label"));
/*  64 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  65 */     elemField.setNillable(true);
/*  66 */     typeDesc.addFieldDesc(elemField);
/*  67 */     elemField = new ElementDesc();
/*  68 */     elemField.setFieldName("description");
/*  69 */     elemField.setXmlName(new QName("", "description"));
/*  70 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  71 */     elemField.setNillable(true);
/*  72 */     typeDesc.addFieldDesc(elemField);
/*  73 */     elemField = new ElementDesc();
/*  74 */     elemField.setFieldName("simpleTrigger");
/*  75 */     elemField.setXmlName(new QName("", "simpleTrigger"));
/*  76 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "JobSimpleTrigger"));
/*  77 */     elemField.setMinOccurs(0);
/*  78 */     elemField.setNillable(true);
/*  79 */     typeDesc.addFieldDesc(elemField);
/*  80 */     elemField = new ElementDesc();
/*  81 */     elemField.setFieldName("calendarTrigger");
/*  82 */     elemField.setXmlName(new QName("", "calendarTrigger"));
/*  83 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "JobCalendarTrigger"));
/*  84 */     elemField.setMinOccurs(0);
/*  85 */     elemField.setNillable(true);
/*  86 */     typeDesc.addFieldDesc(elemField);
/*  87 */     elemField = new ElementDesc();
/*  88 */     elemField.setFieldName("parameters");
/*  89 */     elemField.setXmlName(new QName("", "parameters"));
/*  90 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "JobParameter"));
/*  91 */     elemField.setNillable(true);
/*  92 */     typeDesc.addFieldDesc(elemField);
/*  93 */     elemField = new ElementDesc();
/*  94 */     elemField.setFieldName("baseOutputFilename");
/*  95 */     elemField.setXmlName(new QName("", "baseOutputFilename"));
/*  96 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  97 */     elemField.setNillable(true);
/*  98 */     typeDesc.addFieldDesc(elemField);
/*  99 */     elemField = new ElementDesc();
/* 100 */     elemField.setFieldName("outputFormats");
/* 101 */     elemField.setXmlName(new QName("", "outputFormats"));
/* 102 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 103 */     elemField.setNillable(true);
/* 104 */     typeDesc.addFieldDesc(elemField);
/* 105 */     elemField = new ElementDesc();
/* 106 */     elemField.setFieldName("outputLocale");
/* 107 */     elemField.setXmlName(new QName("", "outputLocale"));
/* 108 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 109 */     elemField.setNillable(true);
/* 110 */     typeDesc.addFieldDesc(elemField);
/* 111 */     elemField = new ElementDesc();
/* 112 */     elemField.setFieldName("repositoryDestination");
/* 113 */     elemField.setXmlName(new QName("", "repositoryDestination"));
/* 114 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "JobRepositoryDestination"));
/* 115 */     elemField.setNillable(true);
/* 116 */     typeDesc.addFieldDesc(elemField);
/* 117 */     elemField = new ElementDesc();
/* 118 */     elemField.setFieldName("mailNotification");
/* 119 */     elemField.setXmlName(new QName("", "mailNotification"));
/* 120 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "JobMailNotification"));
/* 121 */     elemField.setNillable(true);
/* 122 */     typeDesc.addFieldDesc(elemField);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static TypeDesc getTypeDesc()
/*     */   {
/* 129 */     return typeDesc;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 139 */     return new BeanSerializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 151 */     return new BeanDeserializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\Job_Helper.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */